## org.red5.io.flv
Class IKeyFrameDataAnalyzer.KeyFrameMeta

    java.lang.Object
      org.red5.io.flv.IKeyFrameDataAnalyzer.KeyFrameMeta

All Implemented Interfaces:
  Serializable

Enclosing interface:
  IKeyFrameDataAnalyzer

    public static class IKeyFrameDataAnalyzer.KeyFrameMeta

extends Object
implements Serializable

Keyframe metadata.

See Also:
  Serialized Form

Field Summary
`boolean` `audioOnly` Only audio frames?
`long` `duration` Duration in milliseconds
`long[]` `positions` Keyframe positions
`int[]` `timestamps` Keyframe timestamps

Constructor Summary
`IKeyFrameDataAnalyzer.KeyFrameMeta()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### duration

    public long duration

  Duration in milliseconds

### audioOnly

    public boolean audioOnly

  Only audio frames?

### timestamps

    public int[] timestamps

  Keyframe timestamps

### positions

    public long[] positions

  Keyframe positions

Constructor Detail

### IKeyFrameDataAnalyzer.KeyFrameMeta

    public IKeyFrameDataAnalyzer.KeyFrameMeta()

Copyright © 2006-2010 The Red5 Project